import wx

class MyPanel(wx.Panel):
    """docstring for MyPanel."""
    def __init__(self, *arg, **kwarg):
        super(MyPanel, self).__init__( *arg,**kwarg)

        self.SetBackgroundColour("#F2F2F2")  
        self.sb = wx.StaticBox( self, label='系统信息', pos = (30,30) )

        self.sbs = wx.StaticBoxSizer( self.sb, orient=wx.VERTICAL )

        self.vbox1 = wx.BoxSizer(wx.VERTICAL)
        self.staticText0 = wx.StaticText(self , label='',size=(60, 30), style=wx.ALIGN_CENTRE_VERTICAL )
  
        self.staticText1 = wx.StaticText(self, -1,size=(600, -1), 
                        label='''\n上海奕枫仪器设备有限公司
                                \n电话: 021-54270075
                                \n网站: http://www.yi-win.com                           
                                \n邮件: sales@yi-win.com   
                                \n描述: AWRAMS TF 数据处理 ''' )
 
        self.vbox1.Add(self.staticText0, flag=wx.TOP|wx.LEFT, border=5)
        self.vbox1.Add(self.staticText1, flag=wx.TOP|wx.LEFT, border=5)
        # self.hbox1.Add(self.staticText1, flag=wx.TOP|wx.LEFT, border=5)
        # self.hbox1.Add(self.textCtrl1, flag=wx.TOP|wx.LEFT, border=5)
        self.sbs.Add(self.vbox1, flag=wx.TOP|wx.LEFT, border= 5) 
        self.SetSizer(self.sbs)
        # self.SetBackgroundColour("#F2F2F2")  
        # self.vbox = wx.BoxSizer(wx.VERTICAL)

        # # self.vbox.Add(num1, proportion=0, border=8, flag=wx.LEFT) 

        # self.sb = wx.StaticBox(self, label='信息')
        # self.sbs = wx.StaticBoxSizer(self.sb, orient=wx.VERTICAL)
        # self.staticText1 = wx.StaticText(self, -1,
        #                 label='''\n上海奕枫仪器设备有限公司
        #                         \n电话: 021-54270075
        #                         \n网站: http://www.yi-win.com                           
        #                         \n邮件: sales@yi-win.com ''' )
        # self.vbox.Add(self.sbs)
        # self.sbs.Add(self.vbox)
        # self.SetSizer(self.vbox)

    def setStaticText(self, msg:str):
        self.staticText1.SetLabel(msg)

    